Bug: Shortcoder 4.1 has a showstopper bug. Won't install

JustinReinhart
Posts: 6
Joined: Fri Jul 25, 2014 1:43 am

Bug: Shortcoder 4.1 has a showstopper bug. Won't install

Postby JustinReinhart » Thu Aug 24, 2017 3:35 am

Code: Select all

Parse error: syntax error, unexpected ':' in ../wp-content/plugins/shortcoder/includes/import.php on line 75

Shortcoder was causing the 500 error it seems, because after removing it my site works again. Then I tried to reinstall it from the plugin store. Shortcoder won't activate because of the above error.
JustinReinhart
Posts: 6
Joined: Fri Jul 25, 2014 1:43 am

Re: Bug: Shortcoder 4.1 has a showstopper bug. Won't install

Postby JustinReinhart » Sun Aug 27, 2017 4:30 am

I was able to reinstall and activate the plugin (4.1) but when I do I get HTTP 500 ERROR. I had this problem in version 4.0 and you fixed it in 4.0.1. Now it has come back in version 4.1. Currently none of my shortcodes are working on my site, justinreinhart.com , because I have to leave shortcoder uninstalled for it to function.
Zvi Karp
Posts: 1
Joined: Sun Aug 27, 2017 8:28 am

Re: Bug: Shortcoder 4.1 has a showstopper bug. Won't install

Postby Zvi Karp » Sun Aug 27, 2017 8:38 am

Hi everyone!
I think it's just a small bug. Here's a quick fix.

1) go to > installed plagins > Shortcoder > edit.
2) under select "shortcoder/includes/import.php"
3) at around line 70 change this:

Code: Select all

}else{
self:print_notice( __( 'Failed to decode JSON in imported data.', 'shortcoder' ) );
}
to this:

Code: Select all

}else{
self::print_notice( __( 'Failed to decode JSON in imported data.', 'shortcoder' ) );
}

Thanks for this awesome plugin!
It well be great if the fix well be applied in a soon update.
JustinReinhart
Posts: 6
Joined: Fri Jul 25, 2014 1:43 am

Re: Bug: Shortcoder 4.1 has a showstopper bug. Won't install

Postby JustinReinhart » Mon Aug 28, 2017 5:47 pm

Version 4.1.1 seems to have resolved any failure to activate plugin and resolved HTTP 500 error. Thanks.
User avatar
vaakash
Site Admin
Posts: 807
Joined: Sun Jan 17, 2010 11:15 am
Location: India
Contact:

Re: Bug: Shortcoder 4.1 has a showstopper bug. Won't install

Postby vaakash » Wed Aug 30, 2017 4:37 pm

@JustinReinhart, @Zvi,

Thanks guys actively working on it !
I've fixed the issue in Shortcoder v4.1.1.

Thanks,
Aakash